Subject: Re: [PATCH] git-log: added --none-match option

From: Junio C Hamano <[email-masked]>
Date: Fri, 09 Jan 2015 14:55:20 -0800

Christoph Junghans <[email-masked]> writes:

> The only useful thing I could image is using it in conjunction with
> --files-with-matches, but that is what --files-without-match is for.

Yes, "-l" was exactly what I had in mind and I was hoping that "git
grep -l --no-match -e WIP -e TODO -e FIXME -e NEEDSWORK" may be a
way to find perfect files without needing any work.

You can say "git grep -L -e WIP -e TODO -e FIXME -e NEEDSWORK"
instead.  I missed that "-L" option.

Thanks.